module ActiveadminCms
  class MenuBuilderService
    def initialize
      ActiveadminCms::Engine.config.page_categories.each do |category|
        self.define_singleton_method :"#{category}_pages" do
          ActiveadminCms::Page.where(category: category)
        end
        self.class.liquid_methods :"#{category}_pages"
      end
    end
  end
end