module ActiveadminCms
  class Page < ActiveRecord::Base
    validates :slug, presence: true, uniqueness: true
    validates :title, presence: true
    has_many :assets, as: :content
    
    def has_unpublished_changes?
      content != draft_content
    end
  end
end
