class CreateActiveadminCmsAssets < ActiveRecord::Migration
  def change
    create_table :activeadmin_cms_assets do |t|
      t.integer  :content_id
      t.string   :content_type
      t.string   :image_file_name
      t.string   :image_content_type
      t.integer  :image_file_size
      t.datetime :image_updated_at
      t.timestamps
    end
    add_index :activeadmin_cms_assets, [:content_type, :content_id]
  end
end
